
#ifndef APE_NOWINDOWS_H
#define APE_NOWINDOWS_H

#define FALSE    0
#define TRUE    1

#define ERROR_INVALID_PARAMETER          87L    // dderror

#ifndef _WIN32
typedef unsigned int        uint32;
typedef int                 int32;
typedef unsigned short      uint16;
typedef short               int16;
typedef unsigned char       uint8;
typedef char                str_ansi;
typedef unsigned char       str_utf8;
typedef uint16              str_utf16;
#endif // #ifndef _WIN32

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef float               FLOAT;
typedef void *              HANDLE;
typedef unsigned int        UINT;

#ifndef _WIN64
typedef unsigned int        WPARAM;
typedef long                LPARAM;
typedef long                LRESULT;
#endif
typedef const char *        LPCSTR;
typedef char *              LPSTR;

typedef unsigned char		UCHAR;
typedef wchar_t				WCHAR;
typedef	const WCHAR *LPCWSTR, *PCWSTR;

#define max(a,b)    (((a) > (b)) ? (a) : (b))
#define min(a,b)    (((a) < (b)) ? (a) : (b))

#ifndef _FPOSOFF
#define _FPOSOFF(fp) ((long)(fp).__pos)
#endif
#define MAX_PATH    260

#ifndef _WAVEFORMATEX_
#define _WAVEFORMATEX_

typedef struct tWAVEFORMATEX
{
    WORD        wFormatTag;         /* format type */
    WORD        nChannels;          /* number of channels (i.e. mono, stereo...) */
    DWORD       nSamplesPerSec;     /* sample rate */
    DWORD       nAvgBytesPerSec;    /* for buffer estimation */
    WORD        nBlockAlign;        /* block size of data */
    WORD        wBitsPerSample;     /* number of bits per sample of mono data */
    WORD        cbSize;             /* the count in bytes of the size of */
                    /* extra information (after cbSize) */
} WAVEFORMATEX, *PWAVEFORMATEX;
typedef const WAVEFORMATEX* LPCWAVEFORMATEX;

#endif // #ifndef _WAVEFORMATEX_

#endif // #ifndef APE_NOWINDOWS_H
