/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_CLIPFADETYPE_H
#define AUDITION_SESSIONSDK_CLIPFADETYPE_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
	// Enumerated types of the different fade curve families used in Audition
	enum ClipFadeType
	{
		kClipFadeType_Log = 0,	// Linear curve that when used with a vertical modifier can range from exponential <--> linear <--> logarithmic
		kClipFadeType_Cosine	// Sine/Cosine curve that when used with a vertical modifier can be shifted
	}; // ClipFadeType

	// Enumerated types of the different crossfade linking types used in Audition
	enum ClipCrossFadeLinkType
	{
		kClipCrossFadeLinkType_LinkedSymmetrical = 0,	// Use this if the two fades in a crossfade are symmetrical and has the crossover point in the middle of the crossfade region.  This is the case for most formats
		kClipCrossFadeLinkType_LinkedAsymmetrical		// Use this to have a crossfade who's crossover point is not in the middle of the crossfade region.
	}; // ClipCrossFadeLinkType

} // namespace ases

#endif // AUDITION_SESSIONSDK_CLIPFADETYPE_H
