/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_CLIPSTRETCHTYPE_H
#define AUDITION_SESSIONSDK_CLIPSTRETCHTYPE_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{

	// Enumerated types of the different stretch modes used in Audition
	enum StretchMode
	{
		kStretchMode_Off = 0,
		kStretchMode_Realtime,
		kStretchMode_Rendered
	};

	// Enumerated types of the different stretch types used in Audition
	enum StretchType
	{
		kStretchType_Normal = 0,		// polyphonic
		kStretchType_Solo,				// monophonic - faster than polyphonic when working with single voice source material
		kStretchType_Varispeed			// links stretch ratio and pitch adjust to be a resample-type stretch
	};

	// Enumerated types of the different stretch qualities used in Audition
	enum StretchQuality
	{
		kStretchQuality_High = 0,
		kStretchQuality_Medium,
		kStretchQuality_Low
	};

} // namespace ases

#endif // AUDITION_SESSIONSDK_CLIPSTRETCHTYPE_H
