/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual
* and technical concepts contained herein are proprietary to  Adobe Systems
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign
* Patents,patents in process,and are protected by trade secret or copyright
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITAUDIOCOMPONENT_H
#define AUDITION_SESSIONSDK_IEDITAUDIOCOMPONENT_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"
#include "AuditionSDK/Session/IEditKeyframeList.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit effect properties
	//
	class IEditAudioComponent
		:
		public asdk::InterfaceBase
	{
	public:

		//////////////////////////////////////////
		//
		virtual void SetComponentID(
			const asdk::uniChar16* inComponentID) = 0;

		//////////////////////////////////////////
		//
		virtual void SetDisplayName(
			const asdk::uniChar16* inDisplayName) = 0;

		//////////////////////////////////////////
		//
		virtual void SetParameterValue(
			asdk::uint32	inParameterIndex,
			asdk::float32	inParameterValue) = 0;

		//////////////////////////////////////////
		//
		virtual void SetParameterName(
			asdk::uint32			inParameterIndex,
			const asdk::uniChar16*	inDisplayName) = 0;

		//////////////////////////////////////////
		//
		virtual IEditKeyframeList* GetEditKeyframeList(
			asdk::uint32 inParameterIndex) = 0;

		//////////////////////////////////////////
		//
		virtual void SetChunkData(
			const asdk::uint8*	inPresetData,
			asdk::uint32		inPresetDataSize) = 0;

		//////////////////////////////////////////
		//
		virtual void SetEditorVisible(bool inVisible) = 0;

		//////////////////////////////////////////
		//
		virtual void SetEditorRect(asdk::int32 inLeft, asdk::int32 inTop, asdk::int32 inWidth, asdk::int32 inHeight) = 0;

		//////////////////////////////////////////
		//
		virtual void SetPowered(bool inPowered) = 0;

		//////////////////////////////////////////
		//
		virtual void SetParameterSafeDuringWrite(asdk::uint32 inParameterIndex, bool inSafeDuringWrite) = 0;

		//////////////////////////////////////////
		// Introduced in SDK Version 1.2
		virtual void SetGuid(
			const asdk::uniChar16* inComponentID) = 0;

	}; // IEditAudioComponent

	typedef asdk::InterfacePtr<IEditAudioComponent> IEditAudioComponentPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITAUDIOCOMPONENT_H
