/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITCLIPGROUP_H
#define AUDITION_SESSIONSDK_IEDITCLIPGROUP_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit clip group
	//
	class IEditClipGroup
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual void AddClipGroupItem(asdk::uint32 inTrackID, asdk::uint32 inClipID) = 0;
		virtual void SetHue(double inHue) = 0;
		virtual void SetName(const asdk::uniChar16* inName) = 0;
	
	}; // IEditClipGroup
	
	typedef asdk::InterfacePtr<IEditClipGroup> IEditClipGroupPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITCLIPGROUP_H
