/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual
* and technical concepts contained herein are proprietary to  Adobe Systems
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign
* Patents,patents in process,and are protected by trade secret or copyright
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITEFFECT_H
#define AUDITION_SESSIONSDK_IEDITEFFECT_H

#include "AuditionSDK/Session/IEditAudioComponent.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit properties of a slot effect
	//
	class IEditEffect
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual void SetSlotIndex(
			asdk::uint32 inSlotIndex) = 0;

		//////////////////////////////////////////
		//
		virtual void SetBypass(
			bool inBypass) = 0;

		virtual IEditAudioComponent* GetEditAudioComponent() = 0;

		// Channel mapping of slot effects
		virtual void AddInputChannelMapping(asdk::int32 inEffectChannelIndex, asdk::int32 inSlotChannelIndex) = 0;
		virtual void AddOutputChannelMapping(asdk::int32 inEffectChannelIndex, asdk::int32 inSlotChannelIndex) = 0;

		virtual void SetSideChainChannelCount(asdk::uint32 inSideChainChannelCount) = 0;

	}; // IEditEffect

	typedef asdk::InterfacePtr<IEditEffect> IEditEffectPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITEFFECT_H
