/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITEFFECTSRACK_H
#define AUDITION_SESSIONSDK_IEDITEFFECTSRACK_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IEditEffect.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit effects rack properties
	//
	class IEditEffectsRack
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		// Rack mix, rack bypass
		virtual IEditAudioComponent* GetEditMixComponent() = 0;

		//////////////////////////////////////////
		//
		virtual IEditAudioComponent* GetEditInputComponent() = 0;

		//////////////////////////////////////////
		//
		virtual IEditAudioComponent* GetEditOutputComponent() = 0;

		//////////////////////////////////////////
		//
		virtual void SetEffectsRackPreFader(bool inPreFader) = 0;
		
		//////////////////////////////////////////
		//
		virtual IEditEffect* AddEffect() = 0;
			
	}; // IEditEffectsRack
	
	
	typedef asdk::InterfacePtr<IEditEffectsRack> IEditEffectsRackPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITEFFECTSRACK_H
