/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITFADE_H
#define AUDITION_SESSIONSDK_IEDITFADE_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/ClipFadeType.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit fade properties
	//
	class IEditFade
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual void SetStartTime(asdk::int64 inStartTime) = 0;
		virtual void SetEndTime(asdk::int64 inEndTime) = 0;
		virtual void SetFadeType(ClipFadeType inFadeType) = 0;
		virtual void SetFadeShape(int inFadeShape) = 0;
		virtual void SetCrossFadeLinkType(ClipCrossFadeLinkType inCrossFadeLinkType) = 0;
	
	}; // IEditFade
	
	typedef asdk::InterfacePtr<IEditFade> IEditFadePtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITFADE_H
