/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITFILEINFO_H
#define AUDITION_SESSIONSDK_IEDITFILEINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit FileInfo properties
	//
	class IEditFileInfo
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual void SetFilePath(const asdk::uniChar16* inFilePath) = 0;
		virtual void SetFileRecoveryID(const asdk::uniChar16* inFileRecoveryID) = 0;
		virtual void SetFileDuration(const asdk::int64 inDuration) = 0;
		virtual void SetMediaHandlerID(const asdk::uniChar16* inMediaHandlerID) = 0;
		
		//	Session SDK version 1.1 and later
		virtual void SetImporterPrivateSettings(const asdk::uniChar16* inImpoterPrivateSettings) = 0;
	
	}; // IEditFileInfo
	
	typedef asdk::InterfacePtr<IEditFileInfo> IEditFileInfoPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITFILEINFO_H
