/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITKEYFRAMELIST_H
#define AUDITION_SESSIONSDK_IEDITKEYFRAMELIST_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"

namespace ases
{
	/////////////////////////////////////////
	//
	//
	class IEditKeyframeList
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual void SetSplinesEnable(bool inSpline) = 0;
		
		//////////////////////////////////////////
		//
		virtual void AddKeyframe(
			asdk::float32	inValue,
			asdk::int64		inSample,  
			bool			inHold,
			bool			inSelect) = 0;

	}; // IEditKeyframeList

	typedef asdk::InterfacePtr<IEditKeyframeList> IEditKeyframeListPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITKEYFRAMELIST_H
