/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITMARKERINFO_H
#define AUDITION_SESSIONSDK_IEDITMARKERINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/MarkerTypes.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit marker properties
	//
	class IEditMarkerInfo
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual void SetMarkerStartPosition(asdk::int64 inStartPosition) = 0;
		virtual void SetMarkerDuration(asdk::int64 inMarkerDuration) = 0;
		virtual void SetMarkerName(const asdk::uniChar16* inMarkerName) = 0;
		virtual void SetMarkerDescription(const asdk::uniChar16* inMarkerDescription) = 0;
		virtual void SetMarkerType(MarkerType inMarkerType) = 0;
	
	}; // IEditMarkerInfo
	
	typedef asdk::InterfacePtr<IEditMarkerInfo> IEditMarkerInfoPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITMARKERINFO_H
