/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITMETRONOMEINFO_H
#define AUDITION_SESSIONSDK_IEDITMETRONOMEINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/MetronomeTypes.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit marker properties
	//
	class IEditMetronomeInfo
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual void SetMetronomeEnabled(bool inEnabled) = 0;
		virtual void SetSoundSet(ases::MetronomeSoundType inSoundType) = 0;
		virtual void SetBeatPattern(const asdk::uint32* inBeatPattern, const asdk::uint32 inNumBeatsInPattern) = 0;
		virtual IEditAudioTrack* AddMetronomeAudioTrack() = 0;

	}; // IEditMarkerInfo
	
	typedef asdk::InterfacePtr<IEditMetronomeInfo> IEditMetronomeInfoPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITMETRONOMEINFO_H
