/*************************************************************************
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2016 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by all applicable intellectual property
* laws, including trade secret and copyright laws.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITPROPERTIES_H
#define AUDITION_SESSIONSDK_IEDITPROPERTIES_H

#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
/////////////////////////////////////////
//
// Interface to edit generic properties
//
class IEditProperties
	: public asdk::InterfaceBase
{
public:
	virtual void SetValue(
		const asdk::uniChar16* inKey,
		const asdk::uniChar16* inValue) = 0;

}; // IEditProperties

typedef asdk::InterfacePtr<IEditProperties> IEditPropertiesPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITPROPERTIES_H
