/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITSEND_H
#define AUDITION_SESSIONSDK_IEDITSEND_H

#include "AuditionSDK/Session/IEditAudioComponent.h"
#include "AuditionSDK/Session/SendParameters.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit properties of a send channel
	//
	class IEditSend
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual void SetSlotIndex(asdk::uint32 inSlotIndex) = 0;

		//////////////////////////////////////////
		//
		virtual void SetOutputTrackID(asdk::int32 inOutputTrackID) = 0;

		//////////////////////////////////////////
		//
		virtual void SetPreFader(bool inPreFader) = 0;
			
		//////////////////////////////////////////
		//
		virtual IEditAudioComponent* GetEditSendComponent() = 0;

		//////////////////////////////////////////
		//
		virtual IEditAudioComponent* GetEditPanComponent() = 0;
	
		virtual void SetDestinationComponentIndex(asdk::int32 inDestinationComponentIndex) = 0;
	
	}; // IEditSend
	
	typedef asdk::InterfacePtr<IEditSend> IEditSendPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITSEND_H
