/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITSTRETCH_H
#define AUDITION_SESSIONSDK_IEDITSTRETCH_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/ClipStretchTypes.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit clip stretch properties
	//
	class IEditStretch
		:
		public asdk::InterfaceBase
	{
	public:

		virtual void SetStretchMode(StretchMode inStretchMode) = 0;
		virtual void SetStretchType(StretchType inStretchType) = 0;
		virtual void SetStretchRatio(asdk::float64 inStretchRatio) = 0;					///<  1.0 is unstretched, 0.5 is stretched 50%, 2.0 is stretched 200%, etc.
		virtual void SetPitchAdjustment(asdk::float64 inPitchAdjustment) = 0;			///<  range from -36.0 to 36.0.  0.0 means no pitch change
		virtual void SetStretchQuality(StretchQuality inStretchQuality) = 0;
		virtual void SetTransientSensitivity(asdk::int32 inTransientSensitivity) = 0;	///<  range from 1 to 100.   defaults to 75%.  
		virtual void SetAdaptiveWindowSize(asdk::int32 inAdaptiveWindowSize) = 0;		///<  range from 10 to 100 (in ms)		
		virtual void SetPreserveFormants(bool inPreserveFormants) = 0;

	}; // IEditStretch
	
	typedef asdk::InterfacePtr<IEditStretch> IEditStretchPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITSTRETCH_H
