/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITVIDEOCLIP_H
#define AUDITION_SESSIONSDK_IEDITVIDEOCLIP_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IEditVideoFormat.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit video clip properties
	//
	class IEditVideoClip
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual void SetClipFileID(asdk::uint32 inFileID) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipInPoint(asdk::int64 inInPoint) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipDuration(asdk::int64 inDuration) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipStart(asdk::int64 inClipStart) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipHue(asdk::float64 inHue) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipLooped(bool inLooped) = 0;

		//////////////////////////////////////////
		//
		virtual void SetClipName(const asdk::uniChar16* inNAme) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipOffline(bool inOffline) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipSelected(bool inSelected) = 0;
		
		//////////////////////////////////////////
		//
		virtual void SetClipZOrder(asdk::int32 inZOrder) = 0;

		//////////////////////////////////////////
		//
		virtual void SetLockedInTime(bool inLockedInTime) = 0;
		
		//////////////////////////////////////////
		//
		virtual ases::IEditVideoFormat* GetEditVideoFormat() = 0;
		
	}; // IEditVideoClip
	
	typedef asdk::InterfacePtr<IEditVideoClip> IEditVideoClipPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITVIDEOCLIP_H
