/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITVIDEOFORMAT_H
#define AUDITION_SESSIONSDK_IEDITVIDEOFORMAT_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to edit clip properties
	//
	class IEditVideoFormat
		:
		public asdk::InterfaceBase
	{
	public:

		virtual void SetFrameRate(asdk::int64 inTimeScale, asdk::int64 inSampleSize) = 0;
		virtual void SetPixelType(asdk::int32 inPixelType) = 0;
		virtual void SetSize(asdk::int32 inWidth, asdk::int32 inHeight) = 0;
		
	}; // IEditVideoFormat
	
	typedef asdk::InterfacePtr<IEditVideoFormat> IEditVideoFormatPtr;


} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITVIDEOFORMAT_H
