/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITVIDEOTRACK_H
#define AUDITION_SESSIONSDK_IEDITVIDEOTRACK_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IEditVideoClip.h"

namespace ases
{

	/////////////////////////////////////////
	//
	//
	class IEditVideoTrack
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual void SetTrackOrder(asdk::uint32 inTrackOrder) = 0;

		//////////////////////////////////////////
		//
		virtual void SetTrackSelected(bool inSelected) = 0;

		//////////////////////////////////////////
		//
		virtual void SetTrackHue(asdk::float64 inHue) = 0;

		//////////////////////////////////////////
		// fixed track height
		virtual void SetTrackMinimize(bool inMinimized) = 0;

		//////////////////////////////////////////
		//
		virtual void SetTrackName(const asdk::uniChar16* inTrackName) = 0;

		//////////////////////////////////////////
		//
		virtual void SetTrackHeight(asdk::int32 inTrackHeight) = 0;
		
		//////////////////////////////////////////
		//
		virtual IEditVideoClip* AddClip(asdk::uint32 inClipID) = 0;
		
	}; // IEditVideoTrack

	typedef asdk::InterfacePtr<IEditVideoTrack> IEditVideoTrackPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITVIDEOTRACK_H
