/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2016 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELASSIGNMENTINFO_H
#define AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELASSIGNMENTINFO_H

#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKMediaTypes.h"

namespace ases
{
	
	///////////////////////////////////////////
	// Added in Session SDK version 1.3
	//
	// IQueryAudioChannelAssignmentInfo represents the channel assignment
	// from a source to a destination. Source and destination can have a
	// different channel count.
	class IQueryAudioChannelAssignmentInfo
		:
		public asdk::InterfaceBase
	{
	public:

		//////////////////////////////////////////
		// MapChannel will return this constant, if the passed in channel
		// is not mapped.
		static const asdk::AudioChannelIndex kChannelNotMapped = ~asdk::AudioChannelIndex(0);
		
		//////////////////////////////////////////
		// @param inIndex	The channel index in the source
		// @return			The channel index in the destination, if inIndex
		//					is mapped. kChannelNotMapped, otherwise.
		virtual asdk::AudioChannelIndex MapChannel(asdk::AudioChannelIndex inIndex) const = 0;

	}; // IQueryAudioChannelAssignmentInfo
	
	typedef asdk::InterfacePtr<IQueryAudioChannelAssignmentInfo> IQueryAudioChannelAssignmentInfoPtr;
	
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELASSIGNMENTINFO_H
