/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2016 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELLAYOUT_H
#define AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELLAYOUT_H

#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKMediaTypes.h"

namespace ases
{
	
	///////////////////////////////////////////
	// Added in Session SDK version 1.3
	//
	// IQueryAudioChannelAssignmentInfo exposes detailed information about
	// the channels on a clip, track or session.
	class IQueryAudioChannelLayoutInfo
		:
		public asdk::InterfaceBase
	{
	public:

		//////////////////////////////////////////
		// @return	The total count of channels.
		virtual asdk::AudioChannelCount GetChannelCount() const = 0;

		//////////////////////////////////////////
		// 
		virtual asdk::AudioChannelLabel GetChannelLabel(asdk::AudioChannelIndex inIndex) const = 0;

	}; // IQueryAudioChannelLayoutInfo
	
	typedef asdk::InterfacePtr<IQueryAudioChannelLayoutInfo> IQueryAudioChannelLayoutInfoPtr;
	
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYAUDIOCHANNELLAYOUT_H
