/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual
* and technical concepts contained herein are proprietary to  Adobe Systems
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign
* Patents,patents in process,and are protected by trade secret or copyright
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYAUDIOCOMPONENT_H
#define AUDITION_SESSIONSDK_IQUERYAUDIOCOMPONENT_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"
#include "AuditionSDK/Session/IQueryKeyframeList.h"

namespace ases
{

	/////////////////////////////////////////
	//interface to set effect properties
	//
	class IQueryAudioComponent
		:
		public asdk::InterfaceBase
	{
	public:

		//////////////////////////////////////////
		//
		virtual asdk::IString* GetComponentID() const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::IString* GetDisplayName() const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetParameterCount() const = 0;

		//////////////////////////////////////////
		//
		virtual bool GetParameterValue(
			asdk::uint32	inParameterIndex,
			asdk::float32*	outParameterValue) const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::IString* GetParameterName(asdk::uint32 inParameterIndex) const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryKeyframeList* GetKeyframeList(asdk::uint32 inParameterIndex)  = 0;

		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetChunkDataSize() const = 0;

		//////////////////////////////////////////
		//
		virtual bool GetChunkData(asdk::uint8* outPresetData) const = 0;

		//////////////////////////////////////////
		//
		virtual bool GetEditorVisible() const = 0;

		//////////////////////////////////////////
		//
		virtual void GetEditorRect(asdk::int32* inLeft, asdk::int32* inTop, asdk::int32* inWidth, asdk::int32* inHeight) = 0;

		//////////////////////////////////////////
		//
		virtual bool IsPowered() const = 0;

		//////////////////////////////////////////
		//
		virtual bool IsParameterSafeDuringWrite(asdk::uint32 inParameterIndex) const = 0;

		//////////////////////////////////////////
		// Introduced in SDK Version 1.2
		virtual asdk::IString* GetGuid() const = 0;

	}; // IQueryAudioComponent

	typedef asdk::InterfacePtr<IQueryAudioComponent> IQueryAudioComponentPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYAUDIOCOMPONENT_H
