/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYCLIPGROUP_H
#define AUDITION_SESSIONSDK_IQUERYCLIPGROUP_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to query clip group
	//
	class IQueryClipGroup
		:
		public asdk::InterfaceBase
	{
	public:

		virtual asdk::uint32 GetClipGroupItemCount() const = 0;
		virtual void GetClipGroupItem(asdk::uint32 inItemIndex,
			asdk::uint32& outTrackID,
			asdk::uint32& outClipID) const = 0;
		virtual asdk::IString* GetName() const = 0;
		virtual double GetHue() const = 0;
		virtual asdk::uint32 GetClipGroupID() const = 0;

	}; // IQueryClipGroup

	typedef asdk::InterfacePtr<IQueryClipGroup> IQueryClipGroupPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYCLIPGROUP_H
