/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual
* and technical concepts contained herein are proprietary to  Adobe Systems
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign
* Patents,patents in process,and are protected by trade secret or copyright
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYEFFECT_H
#define AUDITION_SESSIONSDK_IQUERYEFFECT_H

#include "AuditionSDK/Session/IQueryAudioComponent.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// interface to set properties of slot effects
	//
	class IQueryEffect
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetSlotIndex() const = 0;

		//////////////////////////////////////////
		//
		virtual bool GetBypass() const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryAudioComponent* GetQueryAudioComponent() const = 0;


		// Channel mapping of slot effects
		virtual asdk::uint32 GetInputChannelMappingCount() const = 0;
		virtual void GetInputChannelMapping(asdk::uint32 inIndex, asdk::int32* outEffectChannelIndex, asdk::int32* outSlotChannelIndex) const = 0;
		virtual asdk::uint32 GetOutputChannelMappingCount() const = 0;
		virtual void GetOutputChannelMapping(asdk::uint32 inIndex, asdk::int32* outEffectChannelIndex, asdk::int32* outSlotChannelIndex) const = 0;

		virtual asdk::uint32 GetSideChainChannelCount() const = 0;

	}; // IQueryEffect

	typedef asdk::InterfacePtr<IQueryEffect> IQueryEffectPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYEFFECT_H
