/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYEFFECTSRACK_H
#define AUDITION_SESSIONSDK_IQUERYEFFECTSRACK_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IQueryEffect.h"

namespace ases
{
	/////////////////////////////////////////
	//interface to set effects rack properties
	//
	class IQueryEffectsRack
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		// Rack mix, rack bypass
		virtual IQueryAudioComponent* GetQueryMixComponent() const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryAudioComponent* GetQueryInputComponent() const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryAudioComponent* GetQueryOutputComponent() const = 0;

		
		//////////////////////////////////////////
		//
		virtual bool GetEffectsRackPreFader() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetEffectSlotInfoCount() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetEffectsRackSlotIndex(asdk::uint32 inIndex) const = 0;
		
		//////////////////////////////////////////
		//
		virtual IQueryEffect* GetEffect(asdk::uint32 inSlotIndex) = 0;
			
	}; // IQueryEffectsRack

	typedef asdk::InterfacePtr<IQueryEffectsRack> IQueryEffectsRackPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYEFFECTSRACK_H
