/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYFADE_H
#define AUDITION_SESSIONSDK_IQUERYFADE_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IQueryKeyframeList.h"
#include "AuditionSDK/Session/IQueryEffectsRack.h"
#include "AuditionSDK/Session/ClipFadeType.h"

namespace ases
{
	/////////////////////////////////////////
	//
	//
	class IQueryFade
		:
		public asdk::InterfaceBase
	{
	public:
		
		virtual asdk::int64 GetStartTime() const = 0;
		virtual asdk::int64 GetEndTime() const = 0;
		virtual ClipFadeType GetFadeType() const = 0;
		virtual int GetFadeShape() const = 0;
		virtual ClipCrossFadeLinkType GetCrossFadeLinkType() const = 0;
	}; // IQueryFade

	typedef asdk::InterfacePtr<IQueryFade> IQueryFadePtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYFADE_H
