/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYFILEINFO_H
#define AUDITION_SESSIONSDK_IQUERYFILEINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to query FileInfo properties
	//
	class IQueryFileInfo
		:
		public asdk::InterfaceBase
	{
	public:
		virtual asdk::uint32 GetFileID() const = 0;
		virtual asdk::IString* GetFilePath() const = 0;
		virtual asdk::IString* GetFileRecoveryID() const = 0;
		virtual asdk::int64	GetFileDuration() const = 0;
		virtual asdk::IString* GetMediaHandlerID() const = 0;
		
		//	Session SDK version 1.1 and later
		virtual asdk::IString* GetImporterPrivateSettings() const = 0;

	}; // IQueryFileInfo

	typedef asdk::InterfacePtr<IQueryFileInfo> IQueryFileInfoPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYFILEINFO_H
