/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYKEYFRAMELIST_H
#define AUDITION_SESSIONSDK_IQUERYKEYFRAMELIST_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"

namespace ases
{
	
	/////////////////////////////////////////
	//
	//
	class IQueryKeyframeList
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetKeyframeCount() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetSplinesEnable() const = 0;
		
		//////////////////////////////////////////
		//
		virtual void GetKeyframe(
			asdk::uint32	inKeyframeOrder,
			asdk::float32*	outValue,
			asdk::int64*	outSample,
			bool*			outHold,
			bool*			outSelect) const = 0;
			
	}; // IQueryKeyframeList


	typedef asdk::InterfacePtr<IQueryKeyframeList> IQueryKeyframeListPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYKEYFRAMELIST_H
