/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYMARKERINFO_H
#define AUDITION_SESSIONSDK_IQUERYMARKERINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"
#include "AuditionSDK/Session/MarkerTypes.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to query marker properties
	//
	class IQueryMarkerInfo
		:
		public asdk::InterfaceBase
	{
	public:

		virtual asdk::int64 GetMarkerStartPosition() const = 0;
		virtual asdk::int64 GetMarkerDuration() const = 0;
		virtual asdk::IString* GetMarkerName() const = 0;
		virtual asdk::IString* GetMarkerDescription() const = 0;
		virtual MarkerType GetMarkerType() const = 0;

	}; // IQueryMarkerInfo

	typedef asdk::InterfacePtr<IQueryMarkerInfo> IQueryMarkerInfoPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYMARKERINFO_H
