/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYMETRONOMEINFO_H
#define AUDITION_SESSIONSDK_IQUERYMETRONOMEINFO_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"
#include "AuditionSDK/Session/MetronomeTypes.h"
#include "AuditionSDK/Session/IQueryAudioTrack.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// Interface to query marker properties
	//
	class IQueryMetronomeInfo
		:
		public asdk::InterfaceBase
	{
	public:

		virtual bool GetMetronomeEnabled() const = 0;
		virtual ases::MetronomeSoundType GetSoundSet() const = 0;
		virtual asdk::uint32 GetNumBeatsInPattern() const = 0;
		virtual ases::MetronomeBeatType GetBeatFromPattern(asdk::uint32 inBeatIndex) const = 0;		// uses a 0-based index
		virtual IQueryAudioTrack* GetMetronomeAudioTrack() = 0;

	}; // IQueryMarkerInfo

	typedef asdk::InterfacePtr<IQueryMetronomeInfo> IQueryMetronomeInfoPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYMETRONOMEINFO_H
