/*************************************************************************
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2016 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by all applicable intellectual property
* laws, including trade secret and copyright laws.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYPROPERTIES_H
#define AUDITION_SESSIONSDK_IQUERYPROPERTIES_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"

namespace ases
{

	/////////////////////////////////////////
	// interface to query generic properties
	//
	class IQueryProperties
		:
		public asdk::InterfaceBase
	{
	public:
		virtual asdk::uint32 GetCount() const = 0;
		
		virtual asdk::IString* GetKey(asdk::uint32 inIndex) const = 0;
		
		virtual asdk::IString* GetValue(const asdk::uniChar16* inKey) const = 0;

	}; // IQueryProperties

	typedef asdk::InterfacePtr<IQueryProperties> IQueryPropertiesPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYPROPERTIES_H
