/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYSEND_H
#define AUDITION_SESSIONSDK_IQUERYSEND_H

#include "AuditionSDK/Session/IQueryAudioComponent.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// interface to set the properties of a send channel
	//
	class IQuerySend
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetSlotIndex() const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::int32 GetOutputTrackID() const = 0;
				
		//////////////////////////////////////////
		//
		virtual bool GetPreFader() const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryAudioComponent* GetQuerySendComponent() const = 0;

		//////////////////////////////////////////
		//
		virtual IQueryAudioComponent* GetQueryPanComponent() const = 0;
		
		virtual asdk::int32 GetDestinationComponentIndex() const = 0;
	}; // IQuerySend

	typedef asdk::InterfacePtr<IQuerySend> IQuerySendPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYSEND_H
