/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYSENDLIST_H
#define AUDITION_SESSIONSDK_IQUERYSENDLIST_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IQuerySend.h"

namespace ases
{
	/////////////////////////////////////////
	//
	// interface to set send list properties
	//
	class IQuerySendList
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetSendCount() const = 0;
		
		//////////////////////////////////////////
		//
		virtual IQuerySend* GetSend(asdk::uint32 inIndex) = 0;
			
	}; // IQuerySendList

	typedef asdk::InterfacePtr<IQuerySendList> IQuerySendListPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYSENDLIST_H
