/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYSTRETCH_H
#define AUDITION_SESSIONSDK_IQUERYSTRETCH_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/ClipStretchTypes.h"

namespace ases
{
	/////////////////////////////////////////
	//
	//
	class IQueryStretch
		:
		public asdk::InterfaceBase
	{
	public:

		virtual StretchMode GetStretchMode() = 0;
		virtual StretchType GetStretchType() = 0;
		virtual asdk::float64 GetStretchRatio() = 0;			///<  1.0 is unstretched, 0.5 is stretched 50%, 2.0 is stretched 200%, etc.
		virtual asdk::float64 GetPitchAdjustment() = 0;			///<  range from -36.0 to 36.0.  0.0 means no pitch change
		virtual StretchQuality GetStretchQuality() = 0;
		virtual asdk::int32 GetTransientSensitivity() = 0;		///<  range from 1 to 100.   defaults to 75%.  
		virtual asdk::int32 GetAdaptiveWindowSize() = 0;		///<  range from 10 to 100 (in ms)
		virtual bool GetPreserveFormants() = 0;

	}; // IQueryStretch

	typedef asdk::InterfacePtr<IQueryStretch> IQueryStretchPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYSTRETCH_H
