/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYVIDEOCLIP_H
#define AUDITION_SESSIONSDK_IQUERYVIDEOCLIP_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IQueryAudioComponent.h"
#include "AuditionSDK/Session/IQueryVideoFormat.h"

namespace ases
{
	/////////////////////////////////////////
	//
	//
	class IQueryVideoClip
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetClipID() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetClipFileID() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::int64 GetClipInPoint() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::int64 GetClipDuration() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::int64 GetClipStart() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::float64 GetClipHue() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetClipLooped() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::IString* GetClipName() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetClipOffline() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetClipSelected() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::int32 GetClipZOrder() const = 0;

		//////////////////////////////////////////
		//
		virtual bool GetClipLockedInTime() const = 0;
		
		//////////////////////////////////////////
		//
		virtual IQueryVideoFormat* GetClipVideoFormat() const = 0;

	}; // IQueryVideoClip

	typedef asdk::InterfacePtr<IQueryVideoClip> IQueryVideoClipPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYVIDEOCLIP_H
