/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYVIDEOFORMAT_H
#define AUDITION_SESSIONSDK_IQUERYVIDEOFORMAT_H

#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKMediaTypes.h"
#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
	
	/////////////////////////////////////////
	//
	//
	class IQueryVideoFormat
		:
		public asdk::InterfaceBase
	{
	public:
	
		virtual asdk::int64 GetTimeScale() const = 0;
		virtual asdk::int64 GetSampleSize() const = 0;
		virtual asdk::int32 GetPixelType() const = 0;
		virtual asdk::int32 GetWidth() const = 0;
		virtual asdk::int32 GetHeight() const = 0;
		// Added in Session SDK version 1.3
		virtual asdk::uint32 GetPixelAspectRatioNumerator() const = 0;
		// Added in Session SDK version 1.3
		virtual asdk::uint32 GetPixelAspectRatioDenominator() const = 0;
		// Added in Session SDK version 1.3
		virtual asdk::VideoFieldType GetFieldType() const = 0;

	}; // IQueryVideoFormat

	typedef asdk::InterfacePtr<IQueryVideoFormat> IQueryVideoFormatPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYVIDEOFORMAT_H
