/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IQUERYVIDEOTRACK_H
#define AUDITION_SESSIONSDK_IQUERYVIDEOTRACK_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"
#include "AuditionSDK/Session/IQueryVideoClip.h"

namespace ases
{
	/////////////////////////////////////////
	//
	//
	class IQueryVideoTrack
		:
		public asdk::InterfaceBase
	{
	public:
		//////////////////////////////////////////
		//
		// get properties
		virtual asdk::uint32 GetTrackID() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetTrackOrder() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetTrackSelected() const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::float64 GetTrackHue() const = 0;
		
		//////////////////////////////////////////
		//

		virtual asdk::IString* GetTrackName() const = 0;
		
		//////////////////////////////////////////
		//
		virtual asdk::int32 GetTrackHeight() const = 0;
		
		//////////////////////////////////////////
		//
		virtual bool GetTrackMinimize() const = 0;

		//////////////////////////////////////////
		//
		virtual asdk::uint32 GetTrackClipCount() const = 0;
		
		//////////////////////////////////////////
		//
		virtual IQueryVideoClip* GetClip(asdk::uint32 inClipIndex) = 0;
		
	}; // QueryTrack
	
	typedef asdk::InterfacePtr<IQueryVideoTrack> IQueryVideoTrackPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_IQUERYVIDEOTRACK_H
