/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_ISESSIONOPEN_H
#define AUDITION_SESSIONSDK_ISESSIONOPEN_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/ASDKString.h"

namespace ases
{

	///////////////////////////////////////////////////////////////////////
	// Used for kSessionInterfaceCommand_Open, opening an session file for read or write.
	class ISessionOpen
		:
		public asdk::InterfaceBase
	{
	public:

		//////////////////////////////////////////////////////////////////////////////
		// Get the name of the file to open using either a wide or UTF8 path.
		virtual asdk::IString* GetFileName() const = 0;
	};
	
	typedef asdk::InterfacePtr<ISessionOpen> ISessionOpenPtr;

} // namespace ases

#endif // AUDITION_SESSIONSDK_ISESSIONOPEN_H
