/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_METRONOMETYPES_H
#define AUDITION_SESSIONSDK_METRONOMETYPES_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{

	// Enumerated types of the different beat types used by the metronome
	enum MetronomeBeatType
	{
		kMetronomeBeatType_None = 0,		// silence
		kMetronomeBeatType_DownBeat,
		kMetronomeBeatType_UpBeat,
		kMetronomeBeatType_Subdivision
	};

	// Enumerated types of the different sound sets used by the metronome
	enum MetronomeSoundType
	{
		kMetronomeSoundType_African1 = 0,
		kMetronomeSoundType_African2,
		kMetronomeSoundType_Beeps,
		kMetronomeSoundType_Cymbals,
		kMetronomeSoundType_Kit,
		kMetronomeSoundType_Latin1,
		kMetronomeSoundType_Latin2,
		kMetronomeSoundType_Latin3,
		kMetronomeSoundType_Sticks,
		kMetronomeSoundType_Tabla
	};

} // namespace ases

#endif // AUDITION_SESSIONSDK_METRONOMETYPES_H
